<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:a="http://xmlns.jcp.org/jsf/passthrough"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:b="http://bootsfaces.net/ui"
      xmlns:p="http://primefaces.org/ui">
    <h:body>   
        <div class="container">
            <h2>#{msgs.topSellers}</h2>
            <h:form id="topSellerForm" class="form-inline">
                <p:message for="toDate"/>
                <p:growl id="growl" showDetail="true"/>
                <div class="form-group mb-2">
                    <h:outputLabel for="fromDate" class="sr-only" value="from"/> 
                    <h:inputText class="form-control" id="fromDate" value="#{reportBackingBean.fromDate}" a:type="date">  
                    </h:inputText>
                </div>
                <div class="form-group mx-sm-3 mb-2">
                    <h:outputLabel for="toDate" class="sr-only" value="to"/> 
                    <h:inputText class="form-control" id="toDate" value="#{reportBackingBean.toDate}" a:type="date"
                                 validator="#{reportBackingBean.validateDateRange}">  
                    </h:inputText>
                </div>

                <p:commandButton update=":topSellerForm:datatable :topSellerForm:growl topSellerForm" value="#{msgs.search}" styleClass="btn btn-primary" />

<!--                <p:growl id="growl" showDetail="true"/>-->
                <h:panelGroup id="datatable">
                    <p:dataTable value="#{reportBackingBean.topSellers}" 
                                 var="topseller"
                                 paginator="true"
                         paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                         currentPageReportTemplate="{startRecord}-{endRecord} of {totalRecords} records">
                        <p:column>
                            <f:facet name="header">#{msgs.isbn}</f:facet>
                                #{topseller.isbn}
                        </p:column>
                        <p:column colspan="2">
                            <f:facet name="header">#{msgs.title}</f:facet>
                                #{topseller.bookTitle}
                        </p:column>
                        <p:column>
                            <f:facet name="header">#{msgs.totalSales}</f:facet>
                            #{topseller.totalSales} $
                        </p:column>
                        <p:column>
                            <f:facet name="header">#{msgs.image}</f:facet>
                            <p:graphicImage library="images" name="coverImages/#{topseller.imageUrl}" height="150" width="90" />
                        </p:column>
                    </p:dataTable>
                </h:panelGroup>
            </h:form>
        </div>
    </h:body>
</html>

